1. Уважаемые пользователи, прежде чем ответить в теме или создать новую,
    внимательно ознакомьтесь с правилами раздела

    Кому лень работать или руки не оттуда - пользуйтесь услугами специалистов
  2. Не задавайте глупых вопросов "Посоветуйте какой-нибудь компонент.."

    Есть JED!!! Ищите там!!!

Плагин совместимости с IE

Тема в разделе "Joomla", создана пользователем Darkness2010, 15 июн 2010.

Информация :
  • Уважаемые пользователи, прежде чем ответить в теме или создать новую, внимательно ознакомьтесь с правилами раздела
  • Не задавайте глупых вопросов "Посоветуйте какой-нибудь компонент.." Есть JED!!! Ищите там!!!
  • Аналоги ищите там же - на JED!!!
  • Новая версия? - У кого будет - тот выложит!
Статус темы:
Закрыта.
Модераторы: arman29, DMS, NightHunter
  1. Darkness2010

    Darkness2010 Создатель

    Регистр.:
    25 фев 2010
    Сообщения:
    36
    Симпатии:
    2
  2. Mr. Brightside

    Mr. Brightside

    Регистр.:
    19 янв 2010
    Сообщения:
    474
    Симпатии:
    69
    Работает то работает... Мера в некоторых случаях даже отчаянная... Толковый мастер сделает совместимость ручками... Но вот когда юзаю готовые шаблоны например от YT, неплохо спасает... Те парниши не заботятся о совместимости с IE и нормальной русской типографике :)

    З.Ы. Планирую даже небольшой мини-фреймворк настряпать, чтобы потом проще было.
     
  3. mumins

    mumins

    Регистр.:
    11 мар 2009
    Сообщения:
    729
    Симпатии:
    590
    Делитесь Шура, делитесь... ;>

    mbr
    M.
     
  4. nikhotin

    nikhotin

    Регистр.:
    10 сен 2006
    Сообщения:
    186
    Симпатии:
    81
    А зачем нужен еще один плагин?
    Еще лишние запросы? Лишний код?

    Все что он делает - добавляет один метатег:
    PHP:
    <meta http-equiv="X-UA-Compatible" content="IE=7" />
    Не проще в шаблон просто прописать еще 1 Метатег?

    Метатег работает только начиная с IE8.

    Могут быть параметры:
    IE=8 - наивысший уровень отраслевых стандартов
    IE=7 - Совместимость с IE7
    IE=EmulateIE7 - для отображении страницы надо использовать настройки из директивы <!DOCTYPE>
    IE=6 - Совместимость с IE6
    IE=5 - Совместимость с IE5-6

    Мета-тег X-UA-Compatible должен быть помещен в HEAD страницы самым первым по счету, иначе игнор...
     
Статус темы:
Закрыта.